কনটেন্টে যান

Florence 2 Large Region To Category

ইন্টিগ্রেট করুন

মডেল id florence-2-large/region-to-category
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/florence-2-large/region-to-category?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈০.০০৩$ ৩ API ক্রেডিট · ≈ ০.৩২₽ এই পেজে চালান

API কী পান
Microsoft · টেক্সট

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক image_url
একটি ফাইল ড্রপ করুন, অথবা

প্রসেস করার ছবির দিকে নির্দেশ করা URL।

•আবশ্যক

ব্যবহারকারীর দেওয়া স্থানাঙ্ক।

POST /run/florence-2-large/region-to-category?wait=20 মূল্য → ০.০০৩$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/florence-2-large/region-to-category?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Florence 2 Large Region To Category সম্পর্কে

একটি ছবি ও `region`-এ থাকা স্থানাঙ্ক নিয়ে ওই অঞ্চলে কী আছে তার একটি টেক্সট শ্রেণি `results`-এ স্ট্রিং হিসেবে ফেরত দেয়। এটি বাক্যের বদলে একটি শ্রেণি লেবেল দেয়। একই অঞ্চল সম্পর্কে আরও পূর্ণাঙ্গ বাক্যের জন্য region to description মডেল ব্যবহার করুন।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
image_urlআবশ্যক image
ধরনurl · image
প্রসেস করার ছবির দিকে নির্দেশ করা URL।
regionআবশ্যক
ধরনobject
ব্যবহারকারীর দেওয়া স্থানাঙ্ক।
region.x1আবশ্যক
ধরনinteger
০ – ৯৯৯
উপরের-বাম কোণের অনুভূমিক স্থানাঙ্ক।
region.y1আবশ্যক
ধরনinteger
০ – ৯৯৯
উপরের-বাম কোণের উল্লম্ব স্থানাঙ্ক।
region.x2আবশ্যক
ধরনinteger
০ – ৯৯৯
নিচের-ডান কোণের অনুভূমিক স্থানাঙ্ক।
region.y2আবশ্যক
ধরনinteger
০ – ৯৯৯
নিচের-ডান কোণের উল্লম্ব স্থানাঙ্ক।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "florence-2-large/region-to-category",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  },
  "output": {
    "results": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
results
stringমডেল ফেরত দেওয়া ফলাফল।

আরও মডেল: ভিশন

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/florence-2-large/region-to-category.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt